Mantis 1.2.xに(やっと)バージョンアップしてみた


MantisBT 1.1.8から 1.2.xにバージョンアップしようとした所、なぜかSQLエラーで止まる。
そんな感じで半年くらいすぎて、先日 1.2.2がリリースされた&ちょっと時間ができたのでもう一回アップグレードに挑戦。

が、何度やっても、ダメ。結果は変わらず、、、

試しに、1.1.8を素でインストールした後、1.2.2をインストールしたら出来た。
※当たり前ですが…


いろいろとデータの差分を眺めていたらふと、configの「database_version」の項目のproject_idが、20になってる。。。

もしや?と思い database_versionを0にしてアップグレード処理を走らせたら
さっきまでとは違いなにやら処理が走ってる感じがあり、、、無事完了したっ

それにしてもなぜproject_idが20に成っていたかは謎。
そもそも、結果できたけど0にしていいかも分からずw

関連記事:

  1. Mantis バージョンアップしたらDokuwikiがエラーになった

Comments are closed.